Subject: [Sip] Regarding the to tag field in the ACK

From: VINAYA KUMAR KANDULA <[email-masked]>
Date: Fri, 20 Sep 2002 19:13:50 +0530

Hi ,		

		I have a doubt Regarding the to tag field in the ACK .

		In RFC 3261 in section  17.1.1.3 Construction of the ACK
Request 
	It was said that The To  header field in the ACK must be  equal to
the To header field in the
	  response being acknowledged . 

	Suppose If the ACK contains the to tag field different from the one
in the ok message sent by the user agent 
	what will be the action taken by the user agent . whether it has to
reject this ACK and send ok messages 
	or it has to send any other message saying that ACK has wrong to tag
.

	And also Suppose If the ACK does not contains the to tag at all
.what will be the action taken by the user agent . 

   F1 INVITE User A -> User B

   INVITE sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP here.com:5060
   From: BigGuy <sip:[email-masked]>
   To: LittleGuy <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 INVITE
   Contact: <sip:[email-masked]>
   Content-Type: application/sdp
   Content-Length: 147

   v=0
   o=UserA 2890844526 2890844526 IN IP4 here.com
   s=Session SDP
   c=IN IP4 100.101.102.103
   t=0 0
   m=audio 49172 RTP/AVP 0
   a=rtpmap:0 PCMU/8000

   F2 (100 Trying) User B -> User A

   SIP/2.0 100 Trying
   Via: SIP/2.0/UDP here.com:5060
   From: BigGuy <sip:[email-masked]>
   To: LittleGuy <sip:[email-masked]>
   Call-ID: [email-masked]
   CSeq: 1 INVITE
   Content-Length: 0

   F3 180 Ringing User B -> User A

   SIP/2.0 180 Ringing
   Via: SIP/2.0/UDP here.com:5060
   From: BigGuy <sip:[email-masked]>
   To: LittleGuy <sip:[email-masked]>;tag=8321234356
   Call-ID: [email-masked]
   CSeq: 1 INVITE
   Content-Length: 0

   F4 200 OK User B -> User A

   SIP/2.0 200 OK
   Via: SIP/2.0/UDP here.com:5060
   From: BigGuy <sip:[email-masked]>
   To: LittleGuy <sip:[email-masked]>;tag=8321234356
   Call-ID: [email-masked]
   CSeq: 1 INVITE
   Contact: <sip:[email-masked]>
   Content-Type: application/sdp
   Content-Length: 147

   v=0
   o=UserB 2890844527 2890844527 IN IP4 there.com
   s=Session SDP
   c=IN IP4 110.111.112.113
   t=0 0
   m=audio 3456 RTP/AVP 0
   a=rtpmap:0 PCMU/8000

   F5 ACK User A -> User B

   ACK sip:[email-masked] SIP/2.0
   Via: SIP/2.0/UDP here.com:5060
   From: BigGuy <sip:[email-masked]>
   To: LittleGuy <sip:[email-masked]>;tag=6534123232   
   Call-ID: [email-masked]
   CSeq: 1 ACK

---

From: "Brett Tate" <[email-masked]>
Date: Fri, 20 Sep 2002 11:22:35 -0400

> In RFC 3261 in section 17.1.1.3 
> Construction of the ACK Request, 
> it was said that The To header field 
> in the ACK must be equal to the 
> To header field in the response 
> being acknowledged. 
>
> Suppose If the ACK contains the 
> to tag field different from the 
> one in the ok message sent by the 
> user agent, what will be the action 
> taken by the user agent. whether 
> it has to reject this ACK and 
> send ok messages or it has to send 
> any other message saying that ACK 
> has wrong to tag . 

The ACK does not match the response.
The response should continue to retry.

> And also Suppose If the ACK does not 
> contains the to tag at all .
> what will be the action taken by the 
> user agent. 

The ACK does not match the response.
The response should continue to retry.

_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip